Last Comment Bug 748042 - mozApps Application record objects expose extra attributes
: mozApps Application record objects expose extra attributes
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Apps (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: [:fabrice] Fabrice Desré
Mentors:
Depends on:
Blocks: 746465
  Show dependency treegraph
 
Reported: 2012-04-23 12:00 PDT by Ian Bicking (:ianb)
Modified: 2012-07-28 09:23 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Ian Bicking (:ianb) 2012-04-23 12:00:47 PDT
Application records returned by mozApps APIs should expose only the attributes described here: https://developer.mozilla.org/en/Apps/Apps_JavaScript_API/app_object

Currently it exposes a number of attributes like ._origin, (and other _-prefixed versions of normal properties), ._messages, ._window, .classID, and .classInfo.
Comment 1 Ian Bicking (:ianb) 2012-06-12 09:09:19 PDT
I believe this is fixed in: http://hg.mozilla.org/mozilla-central/rev/bb8a34106b05

Note You need to log in before you can comment on or make changes to this bug.